import request from "@/utils/request";

// 新增多媒体信息
export function addMedia(data: { filePath: string; operationMediaId: string }) {
  return request({
    url: "/api/v1/process/media/add",
    method: "post",
    data: data,
  });
}

//批量删除多媒体信息
export function deleteMedias(ids: string[]) {
  return request({
    url: "/api/v1/process/media/batch-del",
    method: "post",
    data: { ids },
  });
}

//分页查询
export function pageMedias(proId: string) {
  return request({
    url: "/api/v1/process/media/page",
    method: "post",
    data: {
      operationMediaId: proId,
      pageNum: 1,
      pageSize: 200,
    },
  });
}
